import { default as CortexElement } from './cortex-element';

export default class CortexLightElement extends CortexElement {
    #private;
    constructor();
    protected createRenderRoot(): HTMLElement | DocumentFragment;
}
export declare function hasStyles(element: any): element is WithStyles;
type WithStyles = {
    styles: string;
};
export {};
